# Uses of Class
org.eclipse.net4j.util.ui.views.ContainerItemProvider

Packages that use ContainerItemProvider
Package
Description
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.

## Uses of ContainerItemProvider in org.eclipse.net4j.util.ui.views

Subclasses of ContainerItemProvider in org.eclipse.net4j.util.ui.views
Modifier and Type
Class
Description
`class`
`ContainerPathItemProvider<CONTAINER extends IContainer<Object>>`
Deprecated.
`class`
`ContainerView.ContainerViewItemProvider`
`class`
`ManagedContainerItemProvider`
Methods in org.eclipse.net4j.util.ui.views that return ContainerItemProvider
Modifier and Type
Method
Description
`protected ContainerItemProvider<IContainer<Object>>`
ContainerView.`createContainerItemProvider()`
`ContainerItemProvider<IContainer<Object>>`
ContainerView.`getItemProvider()`